Bug 1466190 (CVE-2017-10664)

Summary: CVE-2017-10664 Qemu: qemu-nbd: server breaks with SIGPIPE upon client abort
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, amit, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, eblake, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, rbalakri, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, slinaber, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Quick Emulator (QEMU) built with the Network Block Device (NBD) Server support is vulnerable to a crash via a SIGPIPE signal. The crash can occur if a client aborts a connection due to any failure during negotiation or read operation. A remote user/process could use this flaw to crash the qemu-nbd server resulting in a Denial of Service (DoS).
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-22 07:38:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1466192, 1466462, 1466463, 1466464, 1466466, 1468107, 1468108, 1469463, 1472110, 1472111, 1472112, 1472113, 1472114, 1472115, 1472116    
Bug Blocks: 1466121, 1520687    

Description Prasad J Pandit 2017-06-29 08:43:49 UTC
Quick Emulator(Qemu) built with the Network Block Device(NBD) Server support
is vulnerable to a crash via SIGPIPE signal. It could occur if a client aborts
connection due to any failure during negotiation.

A remote user/process could use this flaw to crash the qemu-nbd server
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-06/msg02693.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/29/1

Comment 1 Prasad J Pandit 2017-06-29 08:46:11 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1466192]

Comment 5 Prasad J Pandit 2017-06-29 17:34:17 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1466466]

Comment 14 errata-xmlrpc 2017-08-01 23:26:44 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-7
  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2390 https://access.redhat.com/errata/RHSA-2017:2390

Comment 15 errata-xmlrpc 2017-08-08 19:37:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2445 https://access.redhat.com/errata/RHSA-2017:2445

Comment 17 errata-xmlrpc 2017-12-14 22:14:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:3471 https://access.redhat.com/errata/RHSA-2017:3471

Comment 18 errata-xmlrpc 2017-12-14 22:17:05 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:3470 https://access.redhat.com/errata/RHSA-2017:3470

Comment 19 errata-xmlrpc 2017-12-14 22:19:01 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:3466 https://access.redhat.com/errata/RHSA-2017:3466

Comment 20 errata-xmlrpc 2017-12-14 22:20:57 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:3474 https://access.redhat.com/errata/RHSA-2017:3474

Comment 21 errata-xmlrpc 2017-12-14 22:23:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:3472 https://access.redhat.com/errata/RHSA-2017:3472

Comment 22 errata-xmlrpc 2017-12-14 22:24:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:3473 https://access.redhat.com/errata/RHSA-2017:3473